document.addEventListener('contextmenu', event => event.preventDefault());

let dataRecentVideo = localStorage.getItem('dataRecentVideo')
let dataRecentVideoJSON = dataRecentVideo && JSON.parse(dataRecentVideo)

let dataLastVideo = localStorage.getItem('dataLastVideos')
let dataLastVideoJSON = dataLastVideo && JSON.parse(dataLastVideo)

const status = document.querySelector('.status')
const statusText = document.querySelector('.status span')
const circle = document.querySelector('.status .circle')
const thumbnailTwitch = document.querySelector('.row-img img')
const titleLive = document.querySelector('.title')

const recentVideo = document.querySelector('.recentVideo')
const recentVideoUrl = document.querySelector('.recentVideo a')
const recentVideoImg = document.getElementById('recentVideo_img')
const recentVideoTime = document.getElementById('recentVideo_time')
const recentVideoTitle = document.getElementById('recentVideo_title')
const lastVideo = document.querySelector('.videos')

let nowDate = new Date()
let realMonth = nowDate.getMonth() + 1

if (localStorage.getItem('status') === 'true') {
  status.style.color = 'rgb(24, 234, 40)'
  status.style.fontWeight = '400'
  statusText.textContent = 'En stream'
  circle.style.backgroundColor = 'rgb(24, 234, 40)'

  thumbnailTwitch.src = '../src/img/online.png'

  titleLive.style.display = 'block'
  titleLive.textContent = localStorage.getItem('title')
}

if (dataRecentVideoJSON !== null) {
  recentVideoUrl.href = 'https://www.youtube.com/watch?v=' + localStorage.getItem('id')
  recentVideoImg.src = dataRecentVideoJSON[0].thumbnail
  recentVideoTime.textContent = dataRecentVideoJSON[0].time
  recentVideoTitle.textContent = dataRecentVideoJSON[0].title
} else {
  recentVideo.style.display = 'none'
}

if (dataLastVideoJSON !== null) {

  dataLastVideoJSON.forEach(function (data) {
    const container = document.createElement('div')
    const link = document.createElement('a')
    const img = document.createElement('img')

    container.classList.add('videos_bloc')
    img.src = data.thumbnail
    img.alt = 'Miniature youtube'
    link.href = 'https://www.youtube.com/watch?v=' + data.id
    link.target = '_blank'

    link.appendChild(img)
    container.appendChild(link)
    lastVideo.appendChild(container)
  })

}